QGIS Plugin Site - Bug report #4248
Missing author firsthame in author datails page
2011-09-01 07:57 AM - Giuseppe Sucameli

Status: Closed

Priority: Low

Assignee: Alessandro Pasotti
Category:

Pull Request or Patch supplied:
Description

Go on the plugins page, then click on the nickname of a plugin author.
The page shows the author details, but the first name is missing.

History

#1 - 2011-09-26 02:18 AM - Alessandro Pasotti

- Status changed from Open to Feedback

- Assignee set to Alessandro Pasotti

Can't reproduce.

I mean: the field is empty because the associated fields are empty in the DB. If the fields are not empty, the name/surname are shown.

The bug is another: the expected behavior would be not to show the lines at all if the fields are blank.

#2 - 2011-10-21 02:44 PM - Giuseppe Sucameli

I've gone to the OSGEO portal to fill my profile's empty fields (if any), but | wasn't able to find either name or firstname, but just fullname, surname, email

and password fields.

Should the missing of those fields be handle by the Plugins repository (e.g. using fullname instead)?

#3 - 2011-10-24 12:54 AM - Alessandro Pasotti

There is a possibility to import profile data from LDAP to Django User model when the user is created, | will investigate how to implement this in the plugins

app.

I don't thing that there is the possibility to keep LDAP and Django User table in sync though.

#4 - 2011-10-24 12:54 AM - Alessandro Pasotti

- Status changed from Feedback to In Progress

#5 - 2011-10-24 06:10 AM - Alessandro Pasotti

It seems like that the import is already set up correctly

AUTH_LDAP_USER_ATTR_MAP = {
"first_name": "givenName",
"last_name": "sn",

"email"; "mail"

}

If it does not work correctly, please file another ticket.

What is not implemented (and | would not implement it) is a way to re-sync data from LDAP to Django User table.

What | would implement instead is a link to edit own profile in the plugins app.

#6 - 2011-10-24 08:00 AM - Alessandro Pasotti

- Status changed from In Progress to Closed

In LDAP we have

sn record (set to surname)

cn record (set to full name)

givenName (set to first name)

| tested with osgeo LDAP and everything works as expected (you have to modify the LDAP entry form).

Also, the plugins site user table is automatically synced with LDAP when you log-out and log-in again.
